# Basscss

Low-level CSS toolkit

http://basscss.com

---

## Modular CSS toolkit based on OOCSS principles

Basscss is a lightweight collection of base element styles, utilities, layout modules, and color styles designed for speed, performance, and scalability.

## Features
- **Lightweight** at about 10KB minified, 2KB gzipped
- **Modular architecture** with composable and highly reusable styles
- **Balances consistency and flexibility** through smart defaults and basic utilities
- **Fast** with performant and simple styles to promote faster design and development

Learn more at http://basscss.com

## Getting Started
Download or install Basscss from one of these sources:

```
git clone https://github.com/jxnblk/basscss.git
```

```
npm install basscss
```

```
bower install basscss
```


## Documentation
View the full documentation with inline examples at:

http://basscss.com/docs

### Guide to Web Design Basics
http://basscss.com/docs/guide

### Design Principles
http://basscss.com/docs/principles

---

[MIT license](http://opensource.org/licenses/MIT)

